#ifndef PLAYERSETTINGS_H
#define PLAYERSETTINGS_H

#include <string>
class PlayerSettings{

   public:
      PlayerSettings():
      xyProj(0),
      xzProj(0),
      yzProj(0),
      rotationX(0),
      rotationY(0),
      rotationZ(0),
      sizeX3D(0),
      sizeY3D(0),
      sizeZ3D(0),
      xyProjFlag(false),
      xzProjFlag(false),
      yzProjFlag(false),
      rotationXFlag(false),
      rotationYFlag(false),
      rotationZFlag(false),
      sizeX3DFlag(false),
      sizeY3DFlag(false),
      sizeZ3DFlag(false),
      initialProjection("xy")
      {}
      ~PlayerSettings(){}
      
      unsigned int xyProj,xzProj,yzProj;

      bool xyProjFlag,xzProjFlag,yzProjFlag;

      int rotationX,rotationY, rotationZ;
      
      bool rotationXFlag,rotationYFlag,rotationZFlag;
      
      unsigned int sizeX3D,sizeY3D,sizeZ3D;

      bool sizeX3DFlag,sizeY3DFlag,sizeZ3DFlag;
      std::string initialProjection;
};

#endif
